std::shared_timed_mutex::unlock_shared(3)

NAME
std::shared_timed_mutex::unlock_shared - std::shared_timed_mutex::unlock_shared

Synopsis
   void unlock_shared(); (since C++14)
   Releases the mutex from shared ownership by the calling thread.
   The mutex must be locked by the current thread of execution in shared mode,
   otherwise, the behavior is undefined.
   This operation synchronizes-with (as defined in std::memory_order) any subsequent
   lock() operation that obtains ownership of the same mutex.

Parameters
   (none)

Return value
   (none)

Exceptions
   Throws nothing.

Notes
   unlock_shared() is usually not called directly: std::shared_lock is used to manage
   shared locking.

Example
    This section is incomplete
    Reason: no example

See also
               locks the mutex for shared ownership, blocks if the mutex is not
   lock_shared available
               (public member function)
   unlock unlocks the mutex
               (public member function)